%define libgnomecanvas_version 2.6.0
%define gtkmm_version 2.4.0

%define major	1
%define api_version 2.6

%define pkgname	libgnomecanvasmm
%define libname_orig	%mklibname gnomecanvasmm %api_version
%define libname		%mklibname gnomecanvasmm %api_version %{major}
%define develname %mklibname -d gnomecanvasmm %api_version

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Summary:	A C++ interface for GNOME 2 canvas library
Version:	2.26.0
Release:	%mkrel 13
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.bz2

BuildRequires:	gtkmm2.4-devel >= %{gtkmm_version}
BuildRequires:	pkgconfig(libgnomecanvas-2.0) >= %{libgnomecanvas_version}
BuildRequires:	doxygen

%description
This package provides a C++ interface for GNOME canvas library.  It is a
subpackage of the gnomemm project.  The interface provides a convenient
interface for C++ programmers to create GNOME GUIs with GTK+'s flexible
object-oriented framework.

%package	-n %{libname}
Summary:	A C++ interface for GNOME 2 canvas library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for GNOME canvas library.  It is a
subpackage of the gnomemm project.  The interface provides a convenient
interface for C++ programmers to create GNOME GUIs with GTK+'s flexible
object-oriented framework.

%package	-n %develname
Summary:	Headers and development files of GNOME 2 canvas library
Group:		Development/GNOME and GTK+
Provides:	%name-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d gnomecanvasmm %api_version 1

%description	-n %develname
This package contains the headers and various development files needed
for compiling or development of applications that wants C++ interface
of GNOME 2 canvas library.

%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Documentation

%description	doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x --disable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
%makeinstall_std
find %buildroot -name '*.la' -delete

%files -n %{libname}
%doc COPYING README
%{_libdir}/libgnomecanvasmm-%{api_version}.so.%{major}{,.*}

%files -n %develname
%doc AUTHORS COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files doc
%doc docs/reference/html


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 2.26.0-13.mga6
+ Revision: 955469
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 wally <wally> 2.26.0-12.mga6
+ Revision: 869059
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 2.26.0-11.mga5
+ Revision: 739665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.26.0-10.mga5
+ Revision: 681496
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.26.0-9.mga4
+ Revision: 507012
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.26.0-8.mga3
+ Revision: 357254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.26.0-7.mga3
+ Revision: 305612
- Documentation group

* Tue Feb 14 2012 ovitters <ovitters> 2.26.0-6.mga2
+ Revision: 208777
- clean spec

  + fwang <fwang>
    - do not ship .la files

* Thu Feb 03 2011 dmorgan <dmorgan> 2.26.0-4.mga1
+ Revision: 46578
- Remove mdv macros
- imported package libgnomecanvasmm2.6


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.0-4mdv2011.0
+ Revision: 602553
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.0-3mdv2010.1
+ Revision: 520841
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.26.0-2mdv2010.0
+ Revision: 425553
- rebuild

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355974
- update to new version 2.26.0

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 263294
- new version
- update license

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.22.0-2mdv2009.0
+ Revision: 222656
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 182998
- new version

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.20.0-2mdv2008.1
+ Revision: 150609
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 85542
- new version
- new devel name

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 2.16.0-3mdv2008.0
+ Revision: 64756
- rebuild


* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.0
+ Revision: 103076
- Import libgnomecanvasmm2.6

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
- Rebuild

* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0
- use mkrel

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-2mdk
- fix devel provides

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- reenable libtoolize
- source URL
- New release 2.10.0

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- fix source URL
- New release 2.8.0

* Fri Jun 18 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-1mdk
- New major release

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-5mdk
- Rebuild
- Split documentation

* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-4mdk
- Fix BuildRequires

